libavutil

This topic is dedicated to Open Beta versions. Post here your comment, bugs notifications and ideas about the Android version !
Locked
User avatar
Satrip
Posts: 109
Joined: 03 Aug 2007, 15:52
Location: France-85
Contact:

libavutil

Post by Satrip » 28 Jan 2011, 13:36

Salut,

J'ai remarqué que le plugin Loader actuel requiert libavutil49, hors dans ubuntu 10.10 seul libavutil50 est disponible, ce qui empêche le plugin de fonctionner (il ne charge rien lorsque j'essai d'importer une video).
Aussi ca serait bien qu'il puisse utiliser libavutil-extra-50, pour ceux qui utilise libavcodec-extra-52.

english:
Hi,
I've noticed the Loader plugin needs libavutil49, but in ubuntu 10.10 only libavutil50 is available, so the plugin doesn't work.
Also it would be cool to have it compatible with libavutil-extra-50, for people using libavcodec-extra-52.

User avatar
Mike
Posts: 935
Joined: 16 Feb 2006, 08:58

Re: libavutil

Post by Mike » 28 Jan 2011, 16:42

Mmhh ok, I will check this (next week :)).

You are on 64bits, right ?

And what is difference between libav*-52 and libav*-extra-52 ?
TVPaint Team

User avatar
Satrip
Posts: 109
Joined: 03 Aug 2007, 15:52
Location: France-85
Contact:

Re: libavutil

Post by Satrip » 28 Jan 2011, 18:20

Mike wrote:Mmhh ok, I will check this (next week :)).
Cool!

Yes I'm on 64bits.

libav*-extra-52 contains an unrestricted version of the libavcodec shared object, with (almost?!) all codecs available in the original sources enabled
(as some restricted formats are disabled in debian's default libav*52 for legal issues).

Personnaly I even use libav*-extra-52 from Medibuntu's repository, I think ALL codecs are enabled in this one.
( http://medibuntu.org/" onclick="window.open(this.href);return false; )

User avatar
Mike
Posts: 935
Joined: 16 Feb 2006, 08:58

Re: libavutil

Post by Mike » 31 Jan 2011, 16:16

I modify the content of the Linux page, now you can download the plugin for ubuntu 10.10
Let me know if it's ok (it should :))

And about the "extra" codec, I must do more tests to answer.
TVPaint Team

User avatar
Mike
Posts: 935
Joined: 16 Feb 2006, 08:58

Re: libavutil

Post by Mike » 01 Feb 2011, 09:38

If the updated build (10-10) of the plugin works, you can try to install the extra codec instead of the standard ones with synaptic, and it should work.

Let me know.
TVPaint Team

User avatar
Satrip
Posts: 109
Joined: 03 Aug 2007, 15:52
Location: France-85
Contact:

Re: libavutil

Post by Satrip » 01 Feb 2011, 10:53

Ok so now it works with "regular" codecs.

I tried to install libavcodec-extra-52 in synaptic but the issue is that it uninstall libavcodec52 which it replaces, and so it uninstall the loader plugin too as it depends on libavcodec52 package.

User avatar
Mike
Posts: 935
Joined: 16 Feb 2006, 08:58

Re: libavutil

Post by Mike » 01 Feb 2011, 13:06

Normally, you have just to reinstall the plugin after that
TVPaint Team

User avatar
Satrip
Posts: 109
Joined: 03 Aug 2007, 15:52
Location: France-85
Contact:

Re: libavutil

Post by Satrip » 01 Feb 2011, 18:40

When I try to reinstall the plugin ,by double-clicking on the .deb, it opens Ubuntu's software-center, and if I install it from there it automatically replace libavcodec-extra-52 by libavcodec52 on the process to solve dependencies.

So I did install it with dpkg, it installed although the dependencies warnig, and the plugin works.

But now I always have an (annoying) warning icon in my deskbar, saying I've a broken package.

So I think the best fix would be to have the package built with alternate dependencies available (I don't know how to do it as I don't know much about deb packaging, but I think it must be doable since their is not such issue with other softwares using libavcodec). Could you do this?

User avatar
Satrip
Posts: 109
Joined: 03 Aug 2007, 15:52
Location: France-85
Contact:

Re: libavutil

Post by Satrip » 02 Feb 2011, 12:54

I've succeeded to do it myself, cool!

So I've edited the DEBIAN/control file, on the "Depends" line I wrote this:

Depends: tvpaint.animation.pro, libavformat52 | libavformat-extra-52, libavcodec52 | libavcodec-extra-52, libavutil49 | libavutil50 | libavutil-extra-50

(I've extracted the deb, edited the file then repackaged it with dpkg-deb ;) )

User avatar
Mike
Posts: 935
Joined: 16 Feb 2006, 08:58

Re: libavutil

Post by Mike » 02 Feb 2011, 13:34

Haha, you just say what I want to do/test to correct your problem :)

And now, that I know it will work, I'll update the deb package ... soon.

But there is something strange, because when I tested the deb package here with the "extra" libraries, there was no problem during the re-installation of the plugin.

And ... thanks ! :)
TVPaint Team

User avatar
Mike
Posts: 935
Joined: 16 Feb 2006, 08:58

Re: libavutil

Post by Mike » 03 Feb 2011, 09:14

TVPaint Team

User avatar
d_rylander
Posts: 24
Joined: 15 Feb 2010, 20:52

Re: libavutil

Post by d_rylander » 01 Apr 2011, 07:24

I've still got problems with the extras libraries even though using the latest version of loader-saver plugin.

When installing loader-saving-plugin it uninstalled the extras libraries, replacing them with normal libraries.
Manually reinstalling extras afterwards uninstalls the loader-saver-plugin...

I have applications depend on extras libraries so I really need them.

Guess I'll have to do as Satrip have tried and edit the .deb.

User avatar
Mike
Posts: 935
Joined: 16 Feb 2006, 08:58

Re: libavutil

Post by Mike » 06 Apr 2011, 14:12

if you use the "DEB Package" link under "Ubuntu 10.10 (Debian) 64bits:" (http://www.tvpaint.com/linux), in the "control" file, the dependences are like this :

Depends: tvpaint.animation.pro, libavformat52 | libavformat-extra-52, libavcodec52 | libavcodec-extra-52, libavutil49 | libavutil50 | libavutil-extra-50

Did you use the link for Ubuntu 10.10 ?
TVPaint Team

Locked

Who is online

Users browsing this forum: No registered users and 1 guest